当前位置: 首页>>代码示例>>C#>>正文


C# Line.GetPointAtDist方法代码示例

本文整理汇总了C#中System.Line.GetPointAtDist方法的典型用法代码示例。如果您正苦于以下问题:C# Line.GetPointAtDist方法的具体用法?C# Line.GetPointAtDist怎么用?C# Line.GetPointAtDist使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在System.Line的用法示例。


在下文中一共展示了Line.GetPointAtDist方法的3个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。

示例1: CreateOffsetLines

        private IEnumerable<Handle> CreateOffsetLines()
        {
            List<Handle> handles = new List<Handle>();
            Point3d pointOnLine = firstBarLine.GetClosestPointTo(spanPoint.Value, true);
            if (pointOnLine.DistanceTo(spanPoint.Value) == 0)
            {
                Handle handle = DrawBarLine(new Line(firstBarLine.StartPoint, firstBarLine.EndPoint));
                handles.Add(handle);
                return handles;
            }

            Line perpendincularLine = new Line(pointOnLine, spanPoint.Value);
            int barLinesAmount = (int)(perpendincularLine.Length / spanStep.Value);
            Transaction trans = db.TransactionManager.StartTransaction();
            using (trans)
            {
                BlockTableRecord btr = trans.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord;
                for (int i = 0; i <= barLinesAmount; i++)
                {
                    lastBarLine = CreateFirstBarLine();
                    Point3d additionalPoint = perpendincularLine.GetPointAtDist(spanStep.Value * i);
                    Vector3d offsetVector = pointOnLine.GetVectorTo(additionalPoint);
                    btr.AppendEntity(lastBarLine);
                    lastBarLine.TransformBy(Matrix3d.Displacement(offsetVector));
                    handles.Add(lastBarLine.Handle);
                    trans.AddNewlyCreatedDBObject(lastBarLine, true);
                }
                trans.Commit();
            }
            return handles;
        }
开发者ID:anielii,项目名称:Acommands,代码行数:31,代码来源:AContourLines.cs

示例2: GetTrimmedDescriptionLine

 private Line GetTrimmedDescriptionLine()
 {
     Line constructionLine = new Line(spanPoint1, descriptionSignPoint);
     double descriptionCircleRadius = 0.2 * scale;
     Point3d constructionPoint = constructionLine.GetPointAtDist(constructionLine.Length - descriptionCircleRadius);
     Line trimmedLine = new Line(constructionPoint, spanPoint1);
     return trimmedLine;
 }
开发者ID:anielii,项目名称:Acommands,代码行数:8,代码来源:BWCad12.cs

示例3: GetTextOrigin

 private Point3d GetTextOrigin(Line l3)
 {
     return l3.GetPointAtDist(l3.Length / 2);
 }
开发者ID:anielii,项目名称:Acommands,代码行数:4,代码来源:AContourLines.cs


注:本文中的System.Line.GetPointAtDist方法示例由纯净天空整理自Github/MSDocs等开源代码及文档管理平台,相关代码片段筛选自各路编程大神贡献的开源项目,源码版权归原作者所有,传播和使用请参考对应项目的License;未经允许,请勿转载。